Autore |
Discussione |
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 14 settembre 2011 : 07:39:52
|
Using the DWG TrueView viewer as a drawing editor.
The free viewer of AutoCAD drawings - Autodesk DWG TrueView (see www.cadstudio.cz/download) - can be tricked to be used as an editor of DWG files. This trick is based on the hidden commands method described in the tip 6342.
In the command line of DWG TrueView 2010 or 2011 (this trick does not work in the older and newer versions), insert - using copy/paste - the commands GRIPS and -WBLOCK. With these two non-blocked commands you can edit your drawing and save it.
First use GRIPS to enable the grip editing. Now you can use grips to edit, move, rotate your drawing objects. The standard save commands are disabled but the command -WBLOCK still works. By pasting this command you invoke the block export function, where you can choose the DWG or DXF file format, and specify the export of the whole drawing.
It is an undocumented and unsupported function of the DWG viewer. |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 20 ottobre 2011 : 09:11:39
|
AutoLabelAttributesV1-0.lsp
Program Description
This program will automatically label / number a specific attribute in a set of blocks, renumbering if blocks are added, copied or erased.
The program engine utilises multiple reactors which are triggered upon modification of specific blocks within the drawing, renumbering specific attributes if such blocks are added, copied or erased from the drawing.
Upon loading the program, blocks attributes will be automatically renumbered in the order they were added to the drawing database. This automatic renumbering behaviour will continue to operate as long as the program is loaded into the active drawing; hence for continuous operation it is recommended that the program is automatically loaded on startup - refer to my Loading Programs Automatically tutorial if unsure how to accomplish this.
The program has been engineered to run without user-interaction and hence has no command syntax. For instructions on how to set up the program to work with your attributed blocks, read the Instructions for Running section belo |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 15 novembre 2011 : 13:21:12
|
TX_Txt2AttDef
converte text in definizione attributi |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 29 novembre 2011 : 09:11:17
|
cancellare oggetti proxy
delproxy.vlx |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 05 gennaio 2012 : 09:08:43
|
Lisp routine to stretch Mtext so all is on one line
(defun c:OneLineMText ( / i s ) (if (setq s (ssget "_X" '((0 . "MTEXT")))) (repeat (setq i (sslength s)) (vla-put-width (vlax-ename->vla-object (ssname s (setq i (1- i)))) 0.0) ) ) (princ) ) (vl-load-com) (princ) |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 13 gennaio 2012 : 11:09:45
|
Recolor entities to the color of their layer.
As a inverse function to the command SETBYLAYER you can use the LISP utility LColor
This tool recolors the selected objects (drawing entities) so that all objects that have the ByLayer color, take over the static color of the layer they are placed in.
This function supports only the ACI color palette (256 colors). |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
Inserito il - 25 gennaio 2012 : 08:12:41
|
Copy/Paste functionality with added support for UCS.
If you use clipboard to copy AutoCAD drawing objects, you may found a problem when copying/pasting objects in an offset or even rotated ucesr coordinate system (UCS).
With the add-on utility CopyBase you can easily clipboard-copy objects even in cases when you use customized UCSs.
Download the CopyBase tool, load the LSP file into AutoCAD (e.g. with APPLOAD). The application defines two new commands - CCC and VVV - thet work similarly to COPYBASE and PASTEORIG, only they respect the UCS. You can assign these commands e.g. to Ctrl+C and Ctrl+V. |
|
|
Terminator
Utente Master
725 Messaggi |
Inserito il - 26 gennaio 2012 : 10:15:08
|
| Messaggio inserito da arri
Recolor entities to the color of their layer.
As a inverse function to the command SETBYLAYER you can use the LISP utility LColor
This tool recolors the selected objects (drawing entities) so that all objects that have the ByLayer color, take over the static color of the layer they are placed in.
This function supports only the ACI color palette (256 colors).
|
Spulciando questo lisp mi sono detto: proviamo a fare in modo che il programma supporti pure il truecolor. Questo è il risultato:
(defun C:CHCOL (/ gru index layers tlay ent accolor numero)
(princ "\nSelect objects to recolor by layer:")
(setq gru (ssget '((62 . 256)))
index -1
numero 0
layers (vla-get-layers (vla-get-activedocument (vlax-get-acad-object)))
)
(if gru
(repeat (sslength gru)
(setq ent (vlax-ename->vla-object (ssname gru (setq index (1+ index))))
tlay (vla-item layers (vla-get-layer ent))
)
(cond
((= (vla-get-ColorMethod (vla-get-TrueColor tlay)) 194)
(setq accolor (vla-get-TrueColor ent))
(vla-setRGB
accolor
(vla-get-Red (vla-get-TrueColor tlay))
(vla-get-Green (vla-get-TrueColor tlay))
(vla-get-Blue (vla-get-TrueColor tlay))
)
(vla-put-Truecolor ent accolor)
)
((= (vla-get-ColorMethod (vla-get-TrueColor tlay)) 195)
(vla-put-Color ent (vla-get-Color tlay))
)
)
(setq numero (1+ numero))
)
)
(princ (strcat "\n" (itoa numero) " objects recolored"))
(princ)
)
(princ "\nCADstudio/Terminator CHCOL: use the CHCOL command to start")
(princ) |
|
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
arri
Utente Master
Regione: Lombardia
14951 Messaggi |
|
Discussione |
|